from dqc_wrapper.test03_temporal_completeness import TemporalCompletenessTest
from dqc_wrapper import checker
from dqc_wrapper.unit_tests.conftest import dirs
import pytest
from pathlib import Path


def test_get_forms_dates():
    test = TemporalCompletenessTest([dirs.nc_file], dirs.test_dir, '', 'tas',
                                     '', '', 'no')
    response = test.get_forms_dates()
    assert len(response) == 2
    # Exception loading json
    with pytest.raises(Exception):
        test = TemporalCompletenessTest([dirs.nc_file], 'fake_dir', '',
                                        'tas', '', '', 'no')
        test.get_forms_dates()

    # Exception reading constraints (key 'originating_centre' doesn't exist
    # in fake json)
    with pytest.raises(Exception):
        test = TemporalCompletenessTest([dirs.nc_file], dirs.test_dir,
                                        'seasonal', 'tas', '', '', 'no')
        test.get_forms_dates()

def test_check_timestamps():
    # Mocked nc is temporal complete
    test = TemporalCompletenessTest([dirs.nc_file], dirs.test_dir, '', 'tas',
                                    '', '', 'no')
    response = test.check_timestamps()
    assert response[0] == 'ok'

    # Mocked grib isn't
    test = TemporalCompletenessTest([dirs.grib_file], dirs.test_dir, '',
                                    'tas', '', '', 'no')
    response = test.check_timestamps()
    assert response[0] == 'err'


if __name__ == "__main__":
    test_check_timestamps()